using System;

namespace Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            string slova = Console.ReadLine();
            char c1 = slova[0];
            char c2 = slova[1];
            string[] broj_slova = Console.ReadLine().Split(" ");
            int a1 = int.Parse(broj_slova[0]);
            int a2 = int.Parse(broj_slova[1]);
            string rec = "";
            if (Math.Abs(a1-a2)<=1)
            {
                if (a1 >= a2)
                {
                    while (a1 + a2 > 0)
                    {
                        rec = rec + c1.ToString();
                        a1 = a1 - 1;
                        if (a2 > 0)
                        rec = rec + c2.ToString();
                        a2 = a2 - 1;
                    }
                }
                else {
                    while (a1 + a2 > 0)
                    {
                        rec = rec + c2.ToString();
                        a2 = a2 - 1;
                        if (a1 > 0)
                        {
                            rec = rec + c1.ToString();
                            a1 = a1 - 1;
                        }
                    }

                }
                Console.WriteLine(rec);
            }
            else {
                Console.WriteLine("nemoguce");
            }
        }
    }
}